Update one order line item and then create a bill run
Learn how to update a single order line item and generate a billing document using the Update an order line item operation.
- Determine the following values for the
Update an order line itemoperation:-
orderLineItemId: The ID of the order line item to be updated. You can obtain the order line item ID by using theRetrieve an orderOrder Line Item Details page in the UI. -
itemState: The state of the order line item. This field must be set toSentToBillingfor the billing document to be generated. -
billTargetDate: The date when the order line item is to be billed. The subsequent bill run will pick up order line items based on this date.
-
- Use the
Update an order line itemoperation to update the order line item state and bill target date appropriately. The following API updates the state of an order line item toSentToBillingand sets the Bill Target Date for the order line item to 2021-02-01.Request
PUT /v1/order-line-items/{orderLineItemId}Request Body
{ "itemState": "SentToBilling", "billTargetDate": "2021-02-01" } - Use the
CRUD: Create a bill runoperation to create an ad hoc bill run.